Return the details of the current license in use by the Octopus Cluster
GET /api
Response
200 — The requested License
Idstring
Gets or sets a unique identifier for this resource.LastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.LicenseTextstringLinksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.SerialNumberstring
Example Response
{
"Id": "string",
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"LicenseText": "string",
"Links": {
"Self": "/api/..."
},
"SerialNumber": "string"
}Update the current Octopus cluster license
PUT /api
Updates the license for the Octopus cluster.
Request Body
LicenseTextstringSerialNumberstring
Response
200 — Confirmation that the Current License has been modified, containing the new License
Idstring
Gets or sets a unique identifier for this resource.LastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.LicenseTextstringLinksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.SerialNumberstring
Example Request
{
"LicenseText": "string",
"SerialNumber": "string"
}Example Response
{
"Id": "string",
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"LicenseText": "string",
"Links": {
"Self": "/api/..."
},
"SerialNumber": "string"
}Return a list of enabled features from the license
GET /api
Response
200 — The list of enabled features from the license
EnabledFeaturesarray of string
Example Response
{
"EnabledFeatures": [
"string"
]
}Get the status of the current Octopus license
GET /api
Calculates the status of the current Octopus license including compliance and maintenance expiry.
Response
200 — The requested License Status
CanExceedWithUsageReportingboolean
True if your license allows exceeding the limit value for one or more item types - while usage reporting is up to date. Shows the type of license and whether it supports excess, not whether it is currently in excess.ComplianceSummarystringDaysToEffectiveExpiryDateintegerDoesExpiryBlockKeyActivitiesbooleanEffectiveClusterTaskLimitintegerEffectiveExpiryDatestringEffectiveNodeTaskLimitintegerEffectiveStartDatestringHostingEnvironmentstringIdstring
Gets or sets a unique identifier for this resource.IsClusterTaskLimitControlledByLicensebooleanIsCompliantbooleanIsInitialisationLicensebooleanIsNodeTaskLimitControlledByLicensebooleanIsPtmbooleanIsTrialbooleanLastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Limitsarray of objectCanExceedWithUsageReportingboolean
True if your license allows exceeding the limit value for this item type - while usage reporting is up to date. Shows the type of license limit and whether it supports excess, not whether it is currently in excess.CurrentUsageinteger
The number of the limited item your system currently has.Dispositionenum
Allowed values:Information,Notice,Warning,Error.EffectiveLimitinteger
The number of the limited item allowed by your license file including any Overrun or other modifiers.EffectiveLimitDescriptionstringIsEnforcedboolean
Whether this limit is currently enforced. When false, usage can exceed the licensed limit.IsUnlimitedbooleanLicenseLimitDescriptionstringLicensedLimitinteger
The number of the limited item exactly as it is in your license file.LimitStatusenum
Allowed values:UnderLimit,AlmostAtLimit,AtLimit,InOverrun,ExceedingLimit.Messagestring
A textual description of this license limit and current usage.Namestring
The name of the limited item.TargetTypesarray of string
For Machines/Targets, if your license only limits certain types, they will be present in this list. For other types of license limits, or if your license does not limit by target types, this will be an empty array.
Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.Messagesarray of objectDispositionenum
Allowed values:Information,Notice,Warning,Error.MessagestringMessagePolicyenum
Allowed values:LicensePeriodPolicy,AuditStreamPolicy,InsightsLicensePolicy,TimeLimitedPolicy,MaintenancePeriodPolicy,TimeLimitedTestLicensePolicy,CommunityEditionPolicy,NodeLimitPolicy.
PermissionsModeenum
Allowed values:Unspecified,Restricted,Full.SerialNumberstringUsageDeclarationDueDatestring
The UTC calendar date at which the system’s must send another usage declaration and receive a new receipt. Null when the license doesn’t require a usage declaration. Formatdate.UsageReportingDaysRemaininginteger
How many days remaining until the system must send another usage declaration and receive a new receipt. Can be negative if the usage declaration is overdue. Null when the license doesn’t require a usage declaration.
Example Response
{
"CanExceedWithUsageReporting": false,
"ComplianceSummary": "Your Octopus Deploy installation is compliant with your license. Happy deployments!",
"DaysToEffectiveExpiryDate": 1148,
"DoesExpiryBlockKeyActivities": false,
"EffectiveClusterTaskLimit": 0,
"EffectiveExpiryDate": "2030-01-02",
"EffectiveNodeTaskLimit": 0,
"EffectiveStartDate": "2025-09-01",
"HostingEnvironment": "SelfHosted",
"Id": "string",
"IsClusterTaskLimitControlledByLicense": false,
"IsCompliant": false,
"IsInitialisationLicense": false,
"IsNodeTaskLimitControlledByLicense": false,
"IsPtm": false,
"IsTrial": false,
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Limits": [
{
"CanExceedWithUsageReporting": false,
"CurrentUsage": 42,
"Disposition": "Information",
"EffectiveLimit": 120,
"EffectiveLimitDescription": "120",
"IsEnforced": false,
"IsUnlimited": false,
"LicenseLimitDescription": "100",
"LicensedLimit": 100,
"LimitStatus": "UnderLimit",
"Message": "Your license allows 100 targets (TentaclePassive, TentacleActive, Ssh). You currently have 42 targets.",
"Name": "Machines",
"TargetTypes": [
"TentaclePassive",
"TentacleActive",
"Ssh"
]
}
],
"Links": {
"Self": "/api/..."
},
"Messages": [
{
"Disposition": "Information",
"Message": "string",
"MessagePolicy": "LicensePeriodPolicy"
}
],
"PermissionsMode": "Unspecified",
"SerialNumber": "12345-12345-12345-12345",
"UsageDeclarationDueDate": null,
"UsageReportingDaysRemaining": null
}Get the usage of the current Octopus server
GET /api
Calculates the usage of the current Octopus server.
Response
200 — Success
Idstring
Gets or sets a unique identifier for this resource.IsPtmbooleanLastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Limitsarray of objectCanExceedWithUsageReportingboolean
True if your license allows exceeding the limit value for this item type - while usage reporting is up to date. Shows the type of license limit and whether it supports excess, not whether it is currently in excess.CurrentUsageinteger
The number of the limited item your system currently has.Dispositionenum
Allowed values:Information,Notice,Warning,Error.EffectiveLimitinteger
The number of the limited item allowed by your license file including any Overrun or other modifiers.EffectiveLimitDescriptionstringIsEnforcedboolean
Whether this limit is currently enforced. When false, usage can exceed the licensed limit.IsUnlimitedbooleanLicenseLimitDescriptionstringLicensedLimitinteger
The number of the limited item exactly as it is in your license file.LimitStatusenum
Allowed values:UnderLimit,AlmostAtLimit,AtLimit,InOverrun,ExceedingLimit.LimitUsageDescriptionstringMessagestring
A textual description of this license limit and current usage.Namestring
The name of the limited item.TargetTypesarray of string
For Machines/Targets, if your license only limits certain types, they will be present in this list. For other types of license limits, or if your license does not limit by target types, this will be an empty array.
Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.SpacesUsagearray of objectMachinesCountintegerProjectsCountintegerSpaceNamestringTenantsCountinteger
Example Response
{
"Id": "string",
"IsPtm": false,
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Limits": [
{
"CanExceedWithUsageReporting": false,
"CurrentUsage": 42,
"Disposition": "Information",
"EffectiveLimit": 120,
"EffectiveLimitDescription": "120",
"IsEnforced": false,
"IsUnlimited": false,
"LicenseLimitDescription": "100",
"LicensedLimit": 100,
"LimitStatus": "UnderLimit",
"LimitUsageDescription": "string",
"Message": "Your license allows 100 targets (TentaclePassive, TentacleActive, Ssh). You currently have 42 targets.",
"Name": "Machines",
"TargetTypes": [
"TentaclePassive",
"TentacleActive",
"Ssh"
]
}
],
"Links": {
"Self": "/api/..."
},
"SpacesUsage": [
{
"MachinesCount": 0,
"ProjectsCount": 0,
"SpaceName": "string",
"TenantsCount": 0
}
]
}